
package cz.moneta.test.dsl.cebia.iva;

import java.math.BigDecimal;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSValuationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSValuationType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="BaseVehicleNewPrice" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="OptionalEquipmentNewPrice" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="ExtraEquipmentNewPrice" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="VehicleNewPrice" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="BaseVehicleMarketPrice" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="OptionalEquipmentMarketPrice" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="ExtraEquipmentMarketPrice" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="VehicleMarketPrice" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/&gt;
 *         &lt;element name="PriceCurrency" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSValuationType", propOrder = {
    "baseVehicleNewPrice",
    "optionalEquipmentNewPrice",
    "extraEquipmentNewPrice",
    "vehicleNewPrice",
    "baseVehicleMarketPrice",
    "optionalEquipmentMarketPrice",
    "extraEquipmentMarketPrice",
    "vehicleMarketPrice",
    "priceCurrency"
})
public class WSValuationType {

    @XmlElement(name = "BaseVehicleNewPrice", nillable = true)
    protected BigDecimal baseVehicleNewPrice;
    @XmlElement(name = "OptionalEquipmentNewPrice", nillable = true)
    protected BigDecimal optionalEquipmentNewPrice;
    @XmlElement(name = "ExtraEquipmentNewPrice", nillable = true)
    protected BigDecimal extraEquipmentNewPrice;
    @XmlElement(name = "VehicleNewPrice", nillable = true)
    protected BigDecimal vehicleNewPrice;
    @XmlElement(name = "BaseVehicleMarketPrice", nillable = true)
    protected BigDecimal baseVehicleMarketPrice;
    @XmlElement(name = "OptionalEquipmentMarketPrice", nillable = true)
    protected BigDecimal optionalEquipmentMarketPrice;
    @XmlElement(name = "ExtraEquipmentMarketPrice", nillable = true)
    protected BigDecimal extraEquipmentMarketPrice;
    @XmlElement(name = "VehicleMarketPrice", nillable = true)
    protected BigDecimal vehicleMarketPrice;
    @XmlElement(name = "PriceCurrency", nillable = true)
    protected String priceCurrency;

    /**
     * Gets the value of the baseVehicleNewPrice property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getBaseVehicleNewPrice() {
        return baseVehicleNewPrice;
    }

    /**
     * Sets the value of the baseVehicleNewPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setBaseVehicleNewPrice(BigDecimal value) {
        this.baseVehicleNewPrice = value;
    }

    /**
     * Gets the value of the optionalEquipmentNewPrice property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getOptionalEquipmentNewPrice() {
        return optionalEquipmentNewPrice;
    }

    /**
     * Sets the value of the optionalEquipmentNewPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setOptionalEquipmentNewPrice(BigDecimal value) {
        this.optionalEquipmentNewPrice = value;
    }

    /**
     * Gets the value of the extraEquipmentNewPrice property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getExtraEquipmentNewPrice() {
        return extraEquipmentNewPrice;
    }

    /**
     * Sets the value of the extraEquipmentNewPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setExtraEquipmentNewPrice(BigDecimal value) {
        this.extraEquipmentNewPrice = value;
    }

    /**
     * Gets the value of the vehicleNewPrice property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getVehicleNewPrice() {
        return vehicleNewPrice;
    }

    /**
     * Sets the value of the vehicleNewPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setVehicleNewPrice(BigDecimal value) {
        this.vehicleNewPrice = value;
    }

    /**
     * Gets the value of the baseVehicleMarketPrice property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getBaseVehicleMarketPrice() {
        return baseVehicleMarketPrice;
    }

    /**
     * Sets the value of the baseVehicleMarketPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setBaseVehicleMarketPrice(BigDecimal value) {
        this.baseVehicleMarketPrice = value;
    }

    /**
     * Gets the value of the optionalEquipmentMarketPrice property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getOptionalEquipmentMarketPrice() {
        return optionalEquipmentMarketPrice;
    }

    /**
     * Sets the value of the optionalEquipmentMarketPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setOptionalEquipmentMarketPrice(BigDecimal value) {
        this.optionalEquipmentMarketPrice = value;
    }

    /**
     * Gets the value of the extraEquipmentMarketPrice property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getExtraEquipmentMarketPrice() {
        return extraEquipmentMarketPrice;
    }

    /**
     * Sets the value of the extraEquipmentMarketPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setExtraEquipmentMarketPrice(BigDecimal value) {
        this.extraEquipmentMarketPrice = value;
    }

    /**
     * Gets the value of the vehicleMarketPrice property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getVehicleMarketPrice() {
        return vehicleMarketPrice;
    }

    /**
     * Sets the value of the vehicleMarketPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setVehicleMarketPrice(BigDecimal value) {
        this.vehicleMarketPrice = value;
    }

    /**
     * Gets the value of the priceCurrency property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPriceCurrency() {
        return priceCurrency;
    }

    /**
     * Sets the value of the priceCurrency property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPriceCurrency(String value) {
        this.priceCurrency = value;
    }

    public WSValuationType withBaseVehicleNewPrice(BigDecimal value) {
        setBaseVehicleNewPrice(value);
        return this;
    }

    public WSValuationType withOptionalEquipmentNewPrice(BigDecimal value) {
        setOptionalEquipmentNewPrice(value);
        return this;
    }

    public WSValuationType withExtraEquipmentNewPrice(BigDecimal value) {
        setExtraEquipmentNewPrice(value);
        return this;
    }

    public WSValuationType withVehicleNewPrice(BigDecimal value) {
        setVehicleNewPrice(value);
        return this;
    }

    public WSValuationType withBaseVehicleMarketPrice(BigDecimal value) {
        setBaseVehicleMarketPrice(value);
        return this;
    }

    public WSValuationType withOptionalEquipmentMarketPrice(BigDecimal value) {
        setOptionalEquipmentMarketPrice(value);
        return this;
    }

    public WSValuationType withExtraEquipmentMarketPrice(BigDecimal value) {
        setExtraEquipmentMarketPrice(value);
        return this;
    }

    public WSValuationType withVehicleMarketPrice(BigDecimal value) {
        setVehicleMarketPrice(value);
        return this;
    }

    public WSValuationType withPriceCurrency(String value) {
        setPriceCurrency(value);
        return this;
    }

}
